View Issue Details

IDProjectCategoryView StatusLast Update
0000209Adventure PHP FrameworkDokumentation // Documentationpublic2015-10-12 12:19
ReporterdingsdaAssigned ToChristianAchatz 
PrioritynormalSeveritytweakReproducibilityN/A
Status closedResolutionfixed 
Product Version2.1 
Target Version3.0Fixed in Version3.0 
Summary0000209: Unnötige PhpDoc Tags entfernen
DescriptionIm forum bereits angerissen
http://forum.adventure-php-framework.org/viewtopic.php?f=7&t=923#p19383

in den phpDocblocks sind aktuell noch tags zu finden, die durch die Weiterentwicklung von PHP unnötig geworden sind.
weder IDEs noch Doxygen benötigen sie.

Im forum hatte ich bereits diese Tags genannt

   @public
   @protected
   @private
   @static
   @abstract

Weiters müssten aber eigentlich auch folgende tags unnötig sein

   @class
   @package
   @interface

@class und @interface sollten durch doxygen und IDEs eigentlich schon selbstständig erkannt werden. @package ist laut der phpDoc doku dafür gedacht, wenn man eine andere hierarchie angeben möchte als durch die namespaces.

"The @package tag can be used as a counterpart or supplement to Namespaces. Namespaces provide a functional subdivision of Structural Elements where the @package tag can provide a logical subdivision in which way the elements can be grouped with a different hierarchy.

If, across the board, both logical and functional subdivisions are equal is it NOT RECOMMENDED to use the @package tag, to prevent maintenance overhead."
http://www.phpdoc.org/docs/latest/references/phpdoc/tags/package.html

im APF wird @package durchgängig nur für die angabe des Namespace genutzt welchen die IDEs und doxygen auch ohne den tag erkennen sollten (wird nochmal getestet demnächst)

Ich bitte andere APF-entwickler darum, mal in ihren IDEs an kleineren codes zu testen, ob diese tags wirklich unnötig sind und schlage vor, diese unnötigen tags im laufe der entwickung für 2.2 zu entfernen, falls das zutrifft.
TagsNo tags attached.
Codereferenz: ([Datei]:[Zeile])
Namespacenone

Relationships

related to 0000210 closedChristianAchatz Einführung von @inheritdoc in phpDocBlocks 

Activities

ChristianAchatz

2014-06-20 12:13

administrator   ~0000392

Hallo dingsda,

die API-Dokumentation des APPF wird mit doxygen generiert. Trifft deine Analyse nur auf phpDoc zu?

dingsda

2014-06-20 20:04

developer   ~0000394

ich hatte einige der punkte in doxygen kurz getestet.
ich glaube aber die letzten 3 punkte nicht (package, class, interface) .

sobald meine klausuren vorbei sind, werd ich einfach mal nen branch machen in dem alle attribute entfernt sind. dann kann man mal testen. dürfte an sich ja nicht schwer sein mit nem script oder find&replace alles zu entfernen

ChristianAchatz

2014-06-21 16:28

administrator   ~0000395

Super! Danke dir.

dingsda

2014-06-29 12:58

developer   ~0000416

neue infos dazu:
http://forum.adventure-php-framework.org/viewtopic.php?f=7&t=923&start=15#p19408

kurz gesagt: die tags können alle weggelassen werden

ChristianAchatz

2014-06-29 13:57

administrator   ~0000419

Habe die beiden Tasks verlinkt, da sie im wesentlichen das selbe Thema betreffen.

Issue History

Date Modified Username Field Change
2014-06-18 23:56 dingsda New Issue
2014-06-20 12:13 ChristianAchatz Note Added: 0000392
2014-06-20 20:04 dingsda Note Added: 0000394
2014-06-21 16:28 ChristianAchatz Note Added: 0000395
2014-06-29 12:58 dingsda Note Added: 0000416
2014-06-29 13:57 ChristianAchatz Relationship added related to 0000210
2014-06-29 13:57 ChristianAchatz Note Added: 0000419
2014-07-02 22:31 ChristianAchatz Status new => resolved
2014-07-02 22:31 ChristianAchatz Fixed in Version => 3.0
2014-07-02 22:31 ChristianAchatz Resolution open => fixed
2014-07-02 22:31 ChristianAchatz Assigned To => ChristianAchatz
2015-10-12 12:19 ChristianAchatz Status resolved => closed